/*
 Theme Name:   eroz Child
 Theme URI:    https://torothemes.com/
 Description:  Eroz Child Theme
 Author:       Eroz
 Author URI:   https://torothemes.com/
 Template:     eroz
 Version:      1.2.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Tags:         Eroz child theme
 Text Domain:  eroz
*/

.widget-sidebar-single .widget_categories {
  text-align: left;
  padding-top: 3%;
}

@media screen and (max-width: 991px) {
  .widget-sidebar-single .widget_categories {
    display: none;
  }

  #menu-item-8740,
  #menu-item-8741 {
    display: none;
  }
}

.menu > li.current-menu-item > span {
  box-shadow: inset 2px 0 0 #edbb09;
  color: #edbb09;
  transition: 0.2s;
}

.menu li[class*="fa-"] > span {
  margin-left: -2.1rem;
  padding-left: 2.5rem;
}

.menu li > span {
  display: inline-block;
  font-size: 1rem;
  line-height: 3rem;
  padding: 0 1rem;
  vertical-align: top;
}

.menu li li > span {
  font-size: 0.875rem;
  line-height: 2rem;
  opacity: 0.5;
}

.Footer .Bot span {
  color: #cccccc;
  cursor: pointer;
}

.Footer .Bot span:hover,
.Footer .Bot .current-menu-item span:hover {
  color: #fff;
  opacity: 1;
}

.Footer .Bot .current-menu-item span {
  color: #edbb09;
  transition: 0.2s;
}

.comment-form-cookies-consent label {
  width: 90%;
}

.dmca_component {
  margin-top: 32px;
  width: 100%;
  border: 0;
}

.upload_video_component {
  width: 100%;
  border: 0;
}

.menu-mobile-header {
  list-style: none;
  display: flex;
  padding: 0;
}

.menu-icon {
  width: 15px;
  height: 15px;
}

@media (min-width: 425px) {
  .menu-icon {
    width: 20px;
    height: 20px;
  }
}

@media (min-width: 750px) {
  .menu-mobile-header {
    margin: 0 0 15px;
  }
}
@media (min-width: 1000px) {
  .menu-mobile-header {
    display: none;
  }
}
.menu-mobile-header .menu-item {
  display: inline-block;
  width: 50%;
  padding: 0 0.5px;
}
.menu-mobile-header .menu-item a {
  display: block;
  background-color: #303030;
  color: white;
  width: 100%;
  text-align: center;
  padding: 10px;
}

@media (max-width: 425px) {
  .dating-icon,
  .webcam-icon {
    position: absolute;
    margin-bottom: 2px;
    top: 9px;
    right: 10px;
    background: #fff;
    color: #000;
    border-radius: 50%;
    width: 12px;
    height: 12px;
    font-size: 10px;
    font-weight: bold;
    z-index: 2;
    text-align: center;
    line-height: 12px;
    display: inline-block;
    vertical-align: middle;
  }
}

@media (min-width: 425px) and (max-width: 1000px) {
  .dating-icon,
  .webcam-icon {
    position: absolute;
    margin-bottom: 2px;
    top: 9px;
    right: 15px;
    background: #fff;
    color: #000;
    border-radius: 50%;
    width: 14px;
    height: 14px;
    font-size: 11px;
    font-weight: bold;
    z-index: 2;
    text-align: center;
    line-height: 14px;
    display: inline-block;
    vertical-align: middle;
  }
}

@media screen and (min-width: 1000px) {
  .dating-icon::before {
    content: "";
    display: inline-block;
    vertical-align: middle;
    background-image: url("https://www.gratuit.xxx/wp-content/uploads/2025/09/gratuit_dating_anim.gif");
    background-repeat: no-repeat;
    background-position: left center;
    position: relative;
    top: 13px;
    right: -11px;
    width: 20px;
    height: 20px;
  }

  .webcam-icon::before {
    content: "";
    display: inline-block;
    vertical-align: middle;
    background-image: url("https://www.gratuit.xxx/wp-content/uploads/2025/09/gratuit_webcam_anim.gif");
    background-repeat: no-repeat;
    background-position: left center;
    position: relative;
    top: 13px;
    right: -11px;
    width: 20px;
    height: 20px;
  }

  .aichat-icon::before {
    content: "";
    display: inline-block;
    vertical-align: middle;
    background-image: url("https://gratuit.xxx/wp-content/uploads/2025/09/gratuit_ai_girls.svg");
    background-repeat: no-repeat;
    background-position: left center;
    position: relative;
    top: 13px;
    right: -11px;
    width: 20px;
    height: 20px;
  }

  .dating-icon::after {
    content: attr(data-count);
    position: absolute;
    margin-bottom: 2px;
    top: 8px;
    left: 630px;
    background: #fff;
    color: #000;
    border-radius: 50%;
    width: 14px;
    height: 14px;
    font-size: 11px;
    font-weight: bold;
    z-index: 2;
    text-align: center;
    line-height: 14px;
    display: inline-block;
    vertical-align: middle;
  }

  .webcam-icon::after {
    content: attr(data-count);
    position: absolute;
    margin-bottom: 2px;
    top: 8px;
    left: 2px;
    background: #fff;
    color: #000;
    border-radius: 50%;
    width: 14px;
    height: 14px;
    font-size: 11px;
    font-weight: bold;
    z-index: 2;
    text-align: center;
    line-height: 14px;
    display: inline-block;
    vertical-align: middle;
  }
}

/* WEBCAMS PAGE */
.model-sidebar {
  display: flex;
  flex-direction: column;
  gap: 8px;
  padding: 8px;
  box-sizing: border-box;
}

.model-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 12px 8px;
  width: 100%;
  max-width: 400px;
}

.model-item {
  position: relative;
  text-align: center;
  overflow: hidden;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.04);
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.model-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  background: #000;
}

.model-title-bar {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: rgba(0, 0, 0, 0.25);
  padding: 0px 8px 0px 8px;
}

.model-title-name.h2_class {
  font-size: 13px;
  font-weight: 600;
  color: #fff;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  max-width: 60%;
}

.model-age.h2_class {
  font-size: 13px;
  font-weight: 600;
  color: #fff;
  margin-left: 8px;
  white-space: nowrap;
}

.model-live-bottom-left {
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  font-size: 12px;
  color: #fff;
  background: rgba(0, 0, 0, 0.25);
  border-radius: 0 0 6px 6px;
  padding: 0px 8px 0px 8px;
  z-index: 2;
  font-weight: 600;
  box-shadow: 0 1px 4px rgba(0, 0, 0, 0.18);
  text-align: center;
  display: flex;
  align-items: center;
  gap: 6px;
}

.model-placeholder {
  display: block;
  padding: 10px;
  background: #f0f0f0;
  color: #666;
}

.model-error {
  color: #ff0000;
  font-size: 12px;
  text-align: center;
}

.custom-icon-ic_12_webcam_blink {
  display: inline-block;
  width: 12px;
  height: 12px;
  background-image: url("https://assets.tukif.porn/assets/default/img/icons/ic_12_webcam_blink.png");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  vertical-align: middle;
}
.obfuscated-link {
  cursor: pointer;
}

/* Single video webcams */
.model-grid-container {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 20px;
  margin: 0 auto;
  max-width: 1200px;
}

@media (max-width: 768px) {
  .model-grid-container {
    grid-template-columns: repeat(2, 1fr);
  }
}

/* webcams */
.model-grid-single-video {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  background: #141414;
  overflow: hidden;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.04);
  position: relative;
}

.model-sidebar {
  display: flex;
  flex-direction: column;
  gap: 8px;
  padding: 8px;
  box-sizing: border-box;
}

.model-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 12px 8px;
}

.model-item {
  position: relative;
  text-align: center;
  overflow: hidden;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.04);
}

.model-title-bar {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: rgba(0, 0, 0, 0.25);
  padding: 0px 8px 0px 8px;
}

.model-title-name.h2_class {
  font-size: 13px;
  font-weight: 600;
  color: #fff;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  max-width: 60%;
}

.model-title-age.h2_class {
  font-size: 13px;
  font-weight: 600;
  color: #fff;
  margin-left: 8px;
  white-space: nowrap;
}

.model-image {
  max-width: 100%;
  width: 100%;
  height: 110px;
  display: block;
  border-radius: 0;
  background: #141414;
}

.model-live-bottom-left {
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  font-size: 12px;
  color: #fff;
  background: rgba(0, 0, 0, 0.25);
  border-radius: 0 0 6px 6px;
  padding: 0px 8px 0px 8px;
  z-index: 2;
  font-weight: 600;
  box-shadow: 0 1px 4px rgba(0, 0, 0, 0.18);
  text-align: center;
  display: flex;
  align-items: center;
  gap: 6px;
}

.model-placeholder {
  display: block;
  padding: 10px;
  background: #f0f0f0;
  color: #666;
}

.model-error {
  color: #ff0000;
  font-size: 12px;
  text-align: center;
}

.custom-icon-ic_12_webcam_blink {
  display: inline-block;
  width: 12px;
  height: 12px;
  background-image: url("https://assets.tukif.porn/assets/default/img/icons/ic_12_webcam_blink.png");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  vertical-align: middle;
}
.webcams-link {
  cursor: pointer;
}
